1. ryan Member

    Joomla! 3.1 en php 5.4

    Topic geplaatst op: 12-07-2013 om 14:21

    Hallo versio gebruikers,

    Ik krijg php 5.4 absoluut niet aan de praat met mijn Joomla!3.1 site.

    Mijn gegevens:
    -Joomla webhosting pakket van versio
    -Standaard joomla .htaccesss bestand
    -Daarnaast ook een .user.ini met:
    magic_quotes_gpc = Off
    magic_quotes_runtime = Off
    magic_quotes_sybase = Off

    Werkt allemaal prima op php5.3, alleen wanneer ik het advies om php5.4 aan te zetten, op http://www.versio.nl/61-hoe_kan_ik_php_54_aanzetten.html, opvolg dan werkt de site niet. Wat ik wel te zien krijg lijkt op een opsomming van mijn index.php. Wanneer ik de regels verwijder uit mijn .htaccess dan werkt de site weer.

    Dus heb ik enkele vragen.
    1. Wat moet er in mijn .htaccess bestand komen te staan, en waar?
    2. Moet ik .user.ini verwijderen aangezien magic quotes is verwijderd uit php5.4?
    3. Bij configuration.php staan de permissies op 444. Voor de rest alle mappen op 755 en bestanden op 644. Moet ik hier nog iets aan veranderen?

    Alvast bedankt!

  2. zeromechanic Member
    Reactie geplaatst op: 12-07-2013 om 20:28

    Je hebt al een joomla webhosting.
    als het goed is staat php5.4 daar standaard aan.

    maar wat de reden zou kunnen zijn :

    haal de 3 magic_quotes een uit de .user.ini
    in php54 is/zijn deze magic_quotes verwijderd

    Vond u dit antwoord nuttig?

  3. ryan Member
    Reactie geplaatst op: 12-07-2013 om 22:11

    @zeromechanic

    Ik heb de .user.ini uit public_html verwijderd en blijkbaar functioneerd alles dan gewoon naar behoren. Daarentegen staat de php versie nog immer op 5.3.26.

    Voor de vorm maar een kale joomla 3.1 op een testdomein geprobeerd en de standaard .htaccess van joomla gebruikt. Wederom staat er php 5.3.26. Daarna het advies van http://www.versio.nl/61-hoe_kan_ik_php_54_aanzetten.html gebruikt en bovenaan in .htaccess gezet. Helaas weer hetzelfde scherm als ik in mijn eerdere post al aangaf.

    Onderstaande krijg ik te zien:

    mark('afterLoad') : null; // Instantiate the application. $app = JFactory::getApplication('administrator'); // Initialise the application. $app->initialise( array('language' => $app->getUserState('application.lang')) ); // Mark afterIntialise in the profiler. JDEBUG ? $_PROFILER->mark('afterInitialise') : null; // Route the application. $app->route(); // Mark afterRoute in the profiler. JDEBUG ? $_PROFILER->mark('afterRoute') : null; // Dispatch the application. $app->dispatch(); // Mark afterDispatch in the profiler. JDEBUG ? $_PROFILER->mark('afterDispatch') : null; // Render the application. $app->render(); // Mark afterRender in the profiler. JDEBUG ? $_PROFILER->mark('afterRender') : null; // Return the response. echo $app;

    Iemand enig idee?

    Vond u dit antwoord nuttig?

  4. zeromechanic Member
    Reactie geplaatst op: 13-07-2013 om 12:01

    Verander de regel van de addhandler eens.

    in dat bericht staat php54

    verander dat eens in php53 !!

    bij mij draai alles onder php54 met die code.
    heeft versio zo gelaten en er 54 onder geknoopt.
    zodat niet alle klanten probelem zouden krijgen bij de overzet.

    Waar je ook opmoet letten bij 5.4 dat je in de htaccess GEEN php_flag of php_values hebt staan

    verstandig om idd even te testen op een aparte site.

    ben benieuwd

    Vond u dit antwoord nuttig?

  5. ryan Member
    Reactie geplaatst op: 14-07-2013 om 11:56

    @zeromechanic

    Helaas, werkt ook niet...versio maar even mailen lijkt me.

    In ieder geval bedankt!


    Vond u dit antwoord nuttig?

  6. Geppie Member
    Reactie geplaatst op: 25-07-2013 om 12:11

    Zelfde problemen hiero.
    Vandaag Versio eens aan het uitproberen wat betreft resellerhosting en Joomla, maar ik zit nu echt op een punt om te verhuizen, wat een gedoe om dit aan de gang te krijgen. Ik moet er niet denken hoe dit straks in de toekomst gaat verlopen..

    Ik ben bezig met een nieuwe installatie van Joomla 3.1

    Als ik
    AddHandler x-httpd-php53 .php
    of
    AddHandler x-httpd-php54 .php
    in de htaccess toevoeg krijg ik nog steeds de error "Magic Quotes GPC" nog niet uitgeschakeld is.

    Met het toevoegen van


    AddHandler x-httpd-php54 .php


    of


    AddHandler x-httpd-php53 .php


    Krijg ik de error:
    Warning: session_start(): open(/tmp/sess_782a6d2af7769482566d3eed76b416b2, O_RDWR) failed: Permission denied (13) in /home//public_html/libraries/joomla/session/session.php on line 654

    Ik snap er geen hol van. Wat zijn nu de juiste instellingen? Kan er niet gewoon één artikel gemaakt worden zodat alles werkt en dit voor iedereen duidelijk is?

    Vond u dit antwoord nuttig?

  7. Geppie Member
    Reactie geplaatst op: 25-07-2013 om 12:12

    //edit op bovenstaand bericht
    bij de laatste twee addhandlers worden de FilesMatch tags weggesloopt..

    Vond u dit antwoord nuttig?

  8. Geppie Member
    Reactie geplaatst op: 25-07-2013 om 13:39

    Pardon, door Google had ik niet door dat ik in de categorie webhosting zat i.p.v. resellerhosting. Blijkbaar is hier de problematiek dus ook bezig...

    Vond u dit antwoord nuttig?

  9. ryan Member
    Reactie geplaatst op: 25-07-2013 om 20:24

    Mmm, bijzonder....na een beetje over en weer te hebben gemaild met versio krijg ik te horen dat op de Wordpress-, Magento- en Joomla-servers php 5.3 is gebleven en geen php 5.4.

    Huh? Op de versio-site staat toch duidelijk dat php 5.4 is inbegrepen in alle Joomla-pakketten? Vreemd vind ik dat, maar gelukkig geen onoverkomelijk probleem aangezien mijn sites prima op 5.3 draaien.

    Maar toch....het blijft irritant, door onjuiste informatie van de kant van versio heb ik er inmiddels wel wat tijd in gestoken.

    Vond u dit antwoord nuttig?

  10. MEEUW Member
    Reactie geplaatst op: 27-07-2013 om 13:46

    Ik heb ook problemen met versio hosting en wordpress en php 5.4/5.3.

    Als ik php 5.3. actief heb, kan ik wordpress installeren, maar de plugins updates etc later weer niet want we hebben dan een owner file probleem etc.

    Dat zou volgens versio opgelost moeten zijn in php 5.4.

    Wil ik wordpress installeren met php 5.4 geactiveerd dan installeerd wordpress totaal niet.

    Heb ik wordpress geinstalleerd in 5.3 en vervolgens activeer ik 5.4 dan is de admin gedeelte niet bereikbaar.

    Nu nieuwe kale wordpress installatie gedaan. Versio is er mee bezig.
    En ik kreeg een omschrijving hoe ik alles werkend kon krijgen.
    Maar die omschrijving wil u niet doen voor simpele kale installatie van wordpress ;).


    Dus ik denk dat er in geheel een conflict is met php en wordpress, joomla en php versies.
    Want met joomla heb ik altijd al probleem gehad met rechten van files etc.
    Maarja heb geen tijd om elke keer alle websites alle files owner te resetten bij elke automatische update.

    Vond u dit antwoord nuttig?